Subject: Bug#200: AW: [X2Go-Dev] Bug#200: Bug#200: When user-directories do not exist, saving sqlpass with x2godbadmin is not possible

From: Michael Kromer <[email-masked]>
Date: Tue, 7 May 2013 22:14:45 +0200

Hi Nable,

> > system("mkdir -p $dir/.x2go");
> Are you sure that nothing will break if `$dir' contains space or some
> other special^W sensitive characters? Of course, i understand that
> using such characters in homedir path is a really bad idea but.. i
> think apps must be secure by design.

Well, I don't mind fixing this to be safe with special chars ... ;) I however really doubt administrators to set homedirs to something with spaces or special chars.
 
> And second thing:
> > and is deeper than /home/$USER
> I think that this comment is wrong. As I understand, it doesn't matter
> how deep dir, what matters is whether user's homedir exits or not. And
> if I've understood correctly (manual page for x2godbadmin is too
> short, although comments in the program are rather good) x2godbadmin
> doesn't create users, it only manages DB and creates ~/.x2go/ part if
> it's missing.

Yes, true. It doesn't matter how deep it needs to be, however its a rather common case wanting to provide access to someone which does not have its homedir created yet.

> So, if user is present in system (getpwnam returns info about existing
> users) but his homedir is missing I think that it's better to issue
> some warning instead of silent homedir creation (at least because this
> homedir won't contain files from /etc/skel, especially ~/.profile and
> ~/.bashrc).

Well, I disagree. You would simply still not be able to login. I think either error or success is the way to go - I rather decided to use success for the sake of creating an empty home. At some point you are right, as you would automatically disable pam_mkhomedir as it would not complain a missing homedir - The practial downside is the missing skeleton copy at creation time.

Ideas?

- mike

> _______________________________________________
> X2Go-Dev mailing list
> [email-masked]
> https://lists.berlios.de/mailman/listinfo/x2go-dev
> 
> 
>